SessionDock Developer Docs

Make your creative workflow programmable.

Authoritative guides, generated Local API reference, and practical patterns for local automation, scripts, launchers, and AI agents running alongside SessionDock.

Replace session tags

Same behavior as PUT for integrations that prefer PATCH semantics.

PATCH/api/v1/sessions/{id}/tags

Same behavior as PUT for integrations that prefer PATCH semantics.

curl -X PATCH 'http://127.0.0.1:18432/api/v1/sessions/session_123/tags' \
  -H 'Authorization: Bearer <token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "tags": [
    "<string>"
  ]
}'

Parameters

NameInTypeRequiredDescriptionExample
idpathstringYesSession identifier.session_123

Request Body

Required

application/json

Schema Shape

{
  "tags": [
    "<string>"
  ]
}

Example

{
  "tags": [
    "<string>"
  ]
}

Responses

200

Updated session tags

application/json

Schema Shape

{
  "data": {
    "id": "<string>",
    "tags": [
      "<string>"
    ]
  }
}

Example

{
  "data": {
    "id": "<string>",
    "tags": [
      "<string>"
    ]
  }
}
400

Malformed JSON or rejected input.

application/json

Schema Shape

{
  "error": {
    "status": 0,
    "code": "<string>",
    "message": "<string>"
  }
}

Example

{
  "error": {
    "status": 400,
    "code": "invalid_json",
    "message": "Request body must be valid JSON."
  }
}
401

Missing or invalid bearer token.

application/json

Schema Shape

{
  "error": {
    "status": 0,
    "code": "<string>",
    "message": "<string>"
  }
}

Example

{
  "error": {
    "status": 401,
    "code": "unauthorized",
    "message": "Provide Authorization: Bearer <token>."
  }
}
403

Write attempted while Local API is in read-only mode.

application/json

Schema Shape

{
  "error": {
    "status": 0,
    "code": "<string>",
    "message": "<string>"
  }
}

Example

{
  "error": {
    "status": 403,
    "code": "read_only",
    "message": "Enable Full Automation to perform this action."
  }
}
404

No matching resource was found.

application/json

Schema Shape

{
  "error": {
    "status": 0,
    "code": "<string>",
    "message": "<string>"
  }
}

Example

{
  "error": {
    "status": 404,
    "code": "not_found",
    "message": "session not found"
  }
}